package cz.zcu.fav.kiv.mjakubas.saf.gui.form.nmodel;

import cz.zcu.fav.kiv.mjakubas.saf.entity.StudentsSubject;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;

/**
 * Represents a model object of a student subject entity.
 */
public class StudentsSubjectModel implements IModel<StudentsSubject> {

    private final IntegerProperty studentsSubjectID = new SimpleIntegerProperty(0);

    @Override
    public void importEntity(StudentsSubject entity) {
        studentsSubjectID.set(entity.getID());
    }

    @Override
    public StudentsSubject exportEntity() {
        return null;
    }

    // get

    public IntegerProperty studentsSubjectIDProperty() {
        return studentsSubjectID;
    }
}
