package cz.zcu.fav.kiv.mjakubas.saf.request;

import cz.zcu.fav.kiv.mjakubas.saf.config.*;
import cz.zcu.fav.kiv.mjakubas.saf.config.configs.*;
import cz.zcu.fav.kiv.mjakubas.saf.entity.*;
import cz.zcu.fav.kiv.mjakubas.saf.request.basicrequest.*;
import cz.zcu.fav.kiv.mjakubas.saf.request.basicrequest.exception.*;
import org.junit.jupiter.api.*;

import java.io.*;
import java.net.*;
import java.net.http.*;

/**
 * Test of working connection.
 */
class ConnectionTest {

    @Test
    void testConnectionFalse() throws IOException {
        Authenticator authenticator = ConfigManager.getManager().getRequestConfig().authenticator();
        RequestConfig requestConfig = new RequestConfig("http://localhostwrong:8080", authenticator);
        Assertions.assertThrows(RequestErrorException.class,
                () -> EntitiesRequests.get(requestConfig, RequestConfig.ABSENCE_ENTITIES_QUERY, Absence.class));
    }

    @Test
    void testConnectionTrue() throws IOException {;
        RequestConfig requestConfig = ConfigManager.getManager().getRequestConfig();
        Assertions.assertDoesNotThrow(() -> EntitiesRequests.get(requestConfig, RequestConfig.ABSENCE_ENTITIES_QUERY, Absence.class));
    }
}