package cz.zcu.fav.kiv.mjakubas.saf;

import cz.zcu.fav.kiv.mjakubas.saf.application.*;

/**
 * Defines a starting point of a program.
 */
public class Main {
    public static void main(String[] args) {
        IApplication application = new GUIApplication();
        if (args.length != 0)
            application = new CLIApplication();
        try {
            application.start(args);
        } catch (Exception e) {
            String msg = (e.getMessage() != null) ? e.getMessage() : e.getCause().getMessage();
            System.out.println(msg.replaceFirst("^[^:]+: ", ""));
        }
    }
}