package cz.zcu.fav.kiv.mjakubas.saf.gui.controller.entity.entities;

import cz.zcu.fav.kiv.mjakubas.saf.config.configs.RequestConfig;
import cz.zcu.fav.kiv.mjakubas.saf.entity.SchoolDay;
import cz.zcu.fav.kiv.mjakubas.saf.gui.controller.entity.AEntityController;
import cz.zcu.fav.kiv.mjakubas.saf.gui.controller.entity.EntitiesController;
import cz.zcu.fav.kiv.mjakubas.saf.gui.controller.entity.FetchException;
import cz.zcu.fav.kiv.mjakubas.saf.gui.form.nform.AForm;
import org.jetbrains.annotations.NotNull;

/**
 * Fetches and manages {@link SchoolDay} connection between front-end and back-end.
 */
public class SchoolDayEntityController extends AEntityController<SchoolDay> {

    /**
     * Instantiates new {@link AEntityController} of certain entity.
     */
    public SchoolDayEntityController(
            @NotNull AForm<SchoolDay> entityForm,
            @NotNull EntitiesController entitiesController) {
        super(entityForm, entitiesController);
    }

    @Override
    protected String getBaseAddress() {
        return RequestConfig.SCHOOLDAYS_ENTITIES_QUERY;
    }

    @Override
    protected String getAdditionalAddress() {
        return null;
    }

    @Override
    protected Class<SchoolDay> getEntityClass() {
        return SchoolDay.class;
    }

    @Override
    protected void fetchAdditionalData() throws FetchException {

    }
}
