package cz.zcu.fav.kiv.mjakubas.saf.parser.mapper.exception;

import com.fasterxml.jackson.databind.ObjectMapper;

/**
 * Is called if specific child of {@link ObjectMapper} implementation throws an exception.
 */
public class MapperException extends Exception {
    public MapperException() {
    }

    public MapperException(String message) {
        super(message);
    }

    public MapperException(String message, Throwable cause) {
        super(message, cause);
    }

    public MapperException(Throwable cause) {
        super(cause);
    }
}
