package cz.zcu.fav.kiv.mjakubas.saf.config;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

/**
 * Config manager test. If no error is thrown during test -> configs successfully returned, which mean successful
 * import and export of all configs.
 */
class ConfigManagerTest {

    ConfigManager configManager = ConfigManager.getManager();

    @Test
    void getNetConfig() {
        Assertions.assertDoesNotThrow(() -> configManager.getNetConfig());
    }

    @Test
    void getCommandConfig() {
        Assertions.assertDoesNotThrow(() -> configManager.getCommandConfig());
    }

    @Test
    void getRequestConfig() {
        Assertions.assertDoesNotThrow(() -> configManager.getRequestConfig());
    }
}